Bug 1243509 - because geany is updated needed also recompile all plugins.
Summary: because geany is updated needed also recompile all plugins.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geany-plugins
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-15 15:50 UTC by Mikhail
Modified: 2015-08-20 19:50 UTC (History)
3 users (show)

Fixed In Version: geany-plugins-1.25-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-10 09:59:34 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Mikhail 2015-07-15 15:50:35 UTC
Description of problem:
because geany is updated needed also recompile all plugins.

# rpm -qa | grep geany
geany-1.25-1.fc22.x86_64
geany-plugins-pretty-printer-1.24-5.fc22.x86_64
geany-libgeany-1.25-1.fc22.x86_64
geany-plugins-common-1.24-5.fc22.x86_64

Comment 1 Dominic Hopf 2015-07-15 17:20:30 UTC
This is totally clear, a Geany Plugins update will follow, probably already this week. If you really need one of the plugins, I'd recommend to use the old Geany 1.24 from the stable repositories (currently Geany 1.25 is available via updates-testing only). Thanks for your patience until Geany Plugins 1.25 hit the Fedora repositories as well.

Comment 2 Fedora Update System 2015-07-27 21:15:13 UTC
geany-plugins-1.25-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/geany-plugins-1.25-1.fc22

Comment 3 Fedora Update System 2015-07-27 21:15:23 UTC
geany-plugins-1.25-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/geany-plugins-1.25-1.fc21

Comment 4 Fedora Update System 2015-07-30 00:49:23 UTC
Package geany-plugins-1.25-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing geany-plugins-1.25-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12109/geany-plugins-1.25-1.fc21
then log in and leave karma (feedback).

Comment 5 Mikhail 2015-08-09 18:45:12 UTC
Fedora 23 is also need this!

Comment 6 Dominic Hopf 2015-08-10 08:47:23 UTC
The issue is quite well known for the Fedora unstable releases (which means Fedora Rawhide and Fedora 23 here). Please use the Fedora 22 packages as long as we work on the packages for Fedora 23 and upwards.

Comment 7 Fedora Update System 2015-08-10 09:59:34 UTC
geany-plugins-1.25-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-08-10 10:07:49 UTC
geany-plugins-1.25-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Zirneklitis 2015-08-20 19:50:54 UTC
The geany-plugins-gproject is missing from the update:

2:01:48 : ERROR: Dependency resolving completed with errors
22:01:48 : ERROR:   Package: geany-plugins-gproject-1.24-5.fc22.x86_64 (@updates)
    Requires: geany-plugins-common = 1.24-5.fc22
    Removing: geany-plugins-common-1.24-5.fc22.x86_64 (@updates)
        geany-plugins-common = 1.24-5.fc22
    Updated By: geany-plugins-common-1.25-1.fc22.x86_64 (updates)
        geany-plugins-common = 1.25-1.fc22
    Available: geany-plugins-common-1.24-3.fc22.x86_64 (fedora)
        geany-plugins-common = 1.24-3.fc22


Note You need to log in before you can comment on or make changes to this bug.